Package: org.gradle.api

## [Java] Interface ProjectEvaluationListener

- An `ProjectEvaluationListener` is notified when a project is evaluated. You add can add an `ProjectEvaluationListener` to a Gradle using Gradle.addProjectEvaluationListener.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `afterEvaluate(Project project, ProjectState state)`
    `void` | `beforeEvaluate(Project project)` This method is called immediately before a project is evaluated.

- - ### Method Detail

    - #### public void afterEvaluate(Project project, ProjectState state)

      This method is called when a project has been evaluated, and before the evaluated project is made available to other projects.

      Parameters:
        `project` - The project which was evaluated. Never null.
        `state` - The project evaluation state. If project evaluation failed, the exception is available in this state. Never null.

    - #### public void beforeEvaluate(Project project)

      This method is called immediately before a project is evaluated.

      Parameters:
        `project` - The which is to be evaluated. Never null.